using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace XmlDemo
{
    public partial class frmMain : Form
    {
        frmXmlTree XmlTree = new frmXmlTree();
        frmReadXml ReadXml = new frmReadXml();
        frmWriteXml WriteXml = new frmWriteXml();
        frmCreateXml CreateXml = new frmCreateXml();
        public static string XmlFile = String.Empty;
        public frmMain()
        {
            InitializeComponent();
        }

        private void btnXmlTree_Click(object sender, EventArgs e)
        {
            XmlTree.Show();
        }

        private void btnReadXml_Click(object sender, EventArgs e)
        {
            ReadXml.Show();
        }

        private void btnOpenXml_Click(object sender, EventArgs e)
        {
            openFileDialog.ShowDialog();
            if (openFileDialog.FileName != String.Empty)
            {
                XmlFile = openFileDialog.FileName;

                btnReadXml.Enabled = true;
                btnWriteXml.Enabled = true;
                btnXmlTree.Enabled = true;
            }
        }

        private void frmMain_Load(object sender, EventArgs e)
        {
            if (System.IO.File.Exists("People.xml"))
            {
                XmlFile = "People.xml";
            }
            else
            {
                XmlFile = String.Empty;

                btnReadXml.Enabled = false;
                btnWriteXml.Enabled = false;
                btnXmlTree.Enabled = false;
            }
        }

        private void btnWriteXml_Click(object sender, EventArgs e)
        {
            WriteXml.Show();
        }

        private void btnAbout_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Created by: mordero", "Xml Demo", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void btnCreateXml_Click(object sender, EventArgs e)
        {
            CreateXml.Show();
        }
    }
}